Update Account - m3ter Documentation
Update Account
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"emailAddress": "jsmith@example.com",
"version": 123,
"customFields": {},
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"addressLine4": "<string>",
"locality": "<string>",
"region": "<string>",
"postCode": "<string>",
"country": "<string>"
},
"parentAccountId": "<string>",
"billEpoch": "2023-12-25",
"purchaseOrderNumber": "<string>",
"currency": "USD",
"statementDefinitionId": "<string>",
"creditApplicationOrder": [],
"daysBeforeBillDue": 1
}
'
Python Example
import requests
url = "https://api.m3ter.com/organizations/{orgId}/accounts/{id}"
payload = {
"name": "<string>",
"code": "<string>",
"emailAddress": "jsmith@example.com",
"version": 123,
"customFields": {},
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"addressLine4": "<string>",
"locality": "<string>",
"region": "<string>",
"postCode": "<string>",
"country": "<string>"
},
"parentAccountId": "<string>",
"billEpoch": "2023-12-25",
"purchaseOrderNumber": "<string>",
"currency": "USD",
"statementDefinitionId": "<string>",
"creditApplicationOrder": [],
"daysBeforeBillDue": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript Example
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
emailAddress: 'jsmith@example.com',
version: 123,
customFields: {},
address: {
addressLine1: '<string>',
addressLine2: '<string>',
addressLine3: '<string>',
addressLine4: '<string>',
locality: '<string>',
region: '<string>',
postCode: '<string>',
country: '<string>'
},
parentAccountId: '<string>',
billEpoch: '2023-12-25',
purchaseOrderNumber: '<string>',
currency: 'USD',
statementDefinitionId: '<string>',
creditApplicationOrder: [],
daysBeforeBillDue: 1
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'code' => '<string>',
'emailAddress' => 'jsmith@example.com',
'version' => 123,
'customFields' => [],
'address' => [
'addressLine1' => '<string>',
'addressLine2' => '<string>',
'addressLine3' => '<string>',
'addressLine4' => '<string>',
'locality' => '<string>',
'region' => '<string>',
'postCode' => '<string>',
'country' => '<string>'
],
'parentAccountId' => '<string>',
'billEpoch' => '2023-12-25',
'purchaseOrderNumber' => '<string>',
'currency' => 'USD',
'statementDefinitionId' => '<string>',
'creditApplicationOrder' => [],
'daysBeforeBillDue' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/accounts/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"emailAddress\": \"jsmith@example.com\",\n \"version\": 123,\n \"customFields\": {},\n \"address\": {\n \"addressLine1\": \"<string>\",\n \"addressLine2\": \"<string>\",\n \"addressLine3\": \"<string>\",\n \"addressLine4\": \"<string>\",\n \"locality\": \"<string>\",\n \"region\": \"<string>\",\n \"postCode\": \"<string>\",\n \"country\": \"<string>\"\n },\n \"parentAccountId\": \"<string>\",\n \"billEpoch\": \"2023-12-25\",\n \"purchaseOrderNumber\": \"<string>\",\n \"currency\": \"USD\",\n \"statementDefinitionId\": \"<string>\",\n \"creditApplicationOrder\": [],\n \"daysBeforeBillDue\": 1\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
Success Response (200)
{
"id": "<string>",
"version": 123,
"customFields": {},
"name": "<string>",
"code": "<string>",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"addressLine4": "<string>",
"locality": "<string>",
"region": "<string>",
"postCode": "<string>",
"country": "<string>"
},
"emailAddress": "<string>",
"parentAccountId": "<string>",
"billEpoch": "2023-12-25",
"purchaseOrderNumber": "<string>",
"currency": "USD",
"statementDefinitionId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"creditApplicationOrder": [],
"daysBeforeBillDue": 123
}
Error Responses
4XX
{
"message": "<string>"
}
5XX
{
"message": "<string>"
}